geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Sachin Patel <sppat...@gmail.com>
Subject Re: How do we build/run the latest Eclipse plug-in?
Date Tue, 16 May 2006 22:06:04 GMT
I just fixed that particular build error, however due to the lack of  
a recent openejb snapshot as well as the codehaus repo being down the  
build won't complete anyways.

On May 16, 2006, at 12:07 PM, Lin Sun wrote:

> Hi Sachin,
>
> I am getting the same error when I tried to build the eclipse- 
> plugin from
> trunk.  I was hoping that I could run it as a second Eclipse  
> instance using
> the runtime-workspace, so I tried to import all plugins and  
> fragments into
> the workspace of my Eclipse , but saw many red errors related to "the
> project cannot be built until the build path error is resolved".
>
> So how should we build it?  Are you running this using Eclipse 3.2  
> and WTP
> 1.5 RCs?
>
> Thanks, Lin
>
>
>
> -----Original Message-----
> From: Donald Woods [mailto:drw_web@yahoo.com]
> Sent: Thursday, May 11, 2006 10:23 AM
> To: dev@geronimo.apache.org
> Subject: How do we build the latest Eclipse plug-in?
>
> How are we supposed to build the latest source from -
>     geronimo/devtools/eclipse-plugin/trunk
>
> There are no instruction on the Geronimo Subprojects - Devtools  
> section,
> so I tried running a Maven build (using 2.0.4) from the trunk  
> directory
> since there only exists a pom.xml now, by just running -
>     mvn
>
> but it fails with the following -
>
> [INFO] Scanning for projects...
> Downloading:
> http://repo1.maven.org/maven2/org/apache/geronimo/devtools/eclipse-
> plugins-parent/1.0/eclipse-plugins-parent-1.0.pom
> [WARNING] Unable to get resource from repository central
> (http://repo1.maven.org
> /maven2)
> [INFO]
> ---------------------------------------------------------------------- 
> --
> [ERROR] FATAL ERROR
> [INFO]
> ---------------------------------------------------------------------- 
> --
> [INFO] Failed to resolve artifact.
>
> GroupId: org.apache.geronimo.devtools
> ArtifactId: eclipse-plugins-parent
> Version: 1.0
>
> Reason: Unable to download the artifact from any repository
>
>    org.apache.geronimo.devtools:eclipse-plugins-parent:pom:1.0
>
> from the specified remote repositories:
>    central (http://repo1.maven.org/maven2)
>
>
> [INFO]
> ---------------------------------------------------------------------- 
> --
> [INFO] Trace
> org.apache.maven.reactor.MavenExecutionException: Cannot find parent:
> org.apache
> .geronimo.devtools:eclipse-plugins-parent for project:
> org.apache.geronimo.devto
> ols:config-store-service:jar:1.0
>          at org.apache.maven.DefaultMaven.getProjects 
> (DefaultMaven.java:365)
>          at org.apache.maven.DefaultMaven.doExecute 
> (DefaultMaven.java:278)
>          at org.apache.maven.DefaultMaven.execute(DefaultMaven.java: 
> 115)
>          at org.apache.maven.cli.MavenCli.main(MavenCli.java:256)
>          at sun.reflect.NativeMethodAccessorImpl.invoke0(Native  
> Method)
>          at
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.
> java:39)
>          at
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAcces
> sorImpl.java:25)
>          at java.lang.reflect.Method.invoke(Method.java:324)
>          at
> org.codehaus.classworlds.Launcher.launchEnhanced(Launcher.java:315)
>          at org.codehaus.classworlds.Launcher.launch(Launcher.java: 
> 255)
>          at
> org.codehaus.classworlds.Launcher.mainWithExitCode(Launcher.java:430)
>
>          at org.codehaus.classworlds.Launcher.main(Launcher.java:375)
> Caused by: org.apache.maven.project.ProjectBuildingException: Cannot
> find parent
> : org.apache.geronimo.devtools:eclipse-plugins-parent for project:
> org.apache.ge
> ronimo.devtools:config-store-service:jar:1.0
>          at
> org.apache.maven.project.DefaultMavenProjectBuilder.assembleLineage(D
> efaultMavenProjectBuilder.java:1161)
>          at
> org.apache.maven.project.DefaultMavenProjectBuilder.buildInternal(Def
> aultMavenProjectBuilder.java:674)
>          at
> org.apache.maven.project.DefaultMavenProjectBuilder.buildFromSourceFi
> leInternal(DefaultMavenProjectBuilder.java:416)
>          at
> org.apache.maven.project.DefaultMavenProjectBuilder.build(DefaultMave
> nProjectBuilder.java:192)
>          at org.apache.maven.DefaultMaven.getProject 
> (DefaultMaven.java:515)
>          at
> org.apache.maven.DefaultMaven.collectProjects(DefaultMaven.java:447)
>          at
> org.apache.maven.DefaultMaven.collectProjects(DefaultMaven.java:491)
>          at org.apache.maven.DefaultMaven.getProjects 
> (DefaultMaven.java:351)
>          ... 11 more
> Caused by: org.apache.maven.project.ProjectBuildingException: POM
> 'org.apache.ge
> ronimo.devtools:eclipse-plugins-parent' not found in repository:  
> Unable
> to downl
> oad the artifact from any repository
>
>    org.apache.geronimo.devtools:eclipse-plugins-parent:pom:1.0
>
> from the specified remote repositories:
>    central (http://repo1.maven.org/maven2)
>
>          at
> org.apache.maven.project.DefaultMavenProjectBuilder.findModelFromRepo
> sitory(DefaultMavenProjectBuilder.java:513)
>          at
> org.apache.maven.project.DefaultMavenProjectBuilder.assembleLineage(D
> efaultMavenProjectBuilder.java:1157)
>          ... 18 more
> Caused by:  
> org.apache.maven.artifact.resolver.ArtifactNotFoundException:
> Unable
> to download the artifact from any repository
>
>    org.apache.geronimo.devtools:eclipse-plugins-parent:pom:1.0
>
> from the specified remote repositories:
>    central (http://repo1.maven.org/maven2)
>
>          at
> org.apache.maven.artifact.resolver.DefaultArtifactResolver.resolve(De
> faultArtifactResolver.java:136)
>          at
> org.apache.maven.artifact.resolver.DefaultArtifactResolver.resolve(De
> faultArtifactResolver.java:63)
>          at
> org.apache.maven.project.DefaultMavenProjectBuilder.findModelFromRepo
> sitory(DefaultMavenProjectBuilder.java:467)
>          ... 19 more
> Caused by: org.apache.maven.wagon.ResourceDoesNotExistException:  
> Unable
> to downl
> oad the artifact from any repository
>          at
> org.apache.maven.artifact.manager.DefaultWagonManager.getArtifact(Def
> aultWagonManager.java:260)
>          at
> org.apache.maven.artifact.resolver.DefaultArtifactResolver.resolve(De
> faultArtifactResolver.java:124)
>          ... 21 more
> [INFO]
> ---------------------------------------------------------------------- 
> --
> [INFO] Total time: < 1 second
> [INFO] Finished at: Thu May 11 10:04:21 EDT 2006
> [INFO] Final Memory: 1M/2M
> [INFO]
> ---------------------------------------------------------------------- 
> --
>


-sachin



Mime
View raw message